Bug 365921 - Install to hard disk fails with F8 RC3
Install to hard disk fails with F8 RC3
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
8
All Linux
high Severity high
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-04 12:16 EST by Jonathan Underwood
Modified: 2008-11-26 06:29 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-26 06:29:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jonathan Underwood 2007-11-04 12:16:35 EST
Description of problem:
With the x68_64 iso of RC3 (from the torrents page) installing to hard disk from
the live image fails at the end. A cut and paste of the Exception is below. Oh,
no, it isn't below. I am sitting here looking at the Exception dialogue box from
Anaconda which for some reason I am unable to copy and paste from - how
ridiculous. I have the ability to copy the log to a remote host (which actually
with my current setup is about as useful as an arsehole on my elbow), but I
can't copy and paste. A great big WTF to that. If I can somehow get this log
into this bug report I will add it in a subsequent comment.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Jonathan Underwood 2007-11-04 12:19:52 EST
OK, managed to get the dialogue box to allow me to select the text by typing a
junk host in the copy to remote host dialogue. Log is below, but seriously, you
need to think about that pointless save to remote host option - really unuseful.
A "report to bugzilla" button would be a lot more use. Anyway:

anaconda None exception report
Traceback (most recent call first):
  File "/usr/lib/anaconda/iutil.py", line 62, in execWithRedirect
    raise RuntimeError, errstr
  File "/usr/lib/anaconda/packages.py", line 247, in recreateInitrd
    searchPath = 1, root = instRoot)
  File "/usr/lib/anaconda/livecd.py", line 326, in doPostInstall
    packages.recreateInitrd(n, anaconda.rootPath)
  File "/usr/lib/anaconda/backend.py", line 195, in doPostInstall
    anaconda.backend.doPostInstall(anaconda)
  File "/usr/lib/anaconda/dispatch.py", line 203, in moveStep
    rc = stepFunc(self.anaconda)
  File "/usr/lib/anaconda/dispatch.py", line 126, in gotoNext
    self.moveStep()
  File "/usr/lib/anaconda/gui.py", line 1048, in nextClicked
    self.anaconda.dispatch.gotoNext()
  File "/usr/lib/anaconda/iw/progress_gui.py", line 67, in renderCallback
    self.intf.icw.nextClicked()
  File "/usr/lib/anaconda/gui.py", line 1075, in handleRenderCallback
    self.currentWindow.renderCallback()
RuntimeError: Error running /sbin/new-kernel-pkg: No such file or directory

Local variables in innermost frame:
chroot: <function chroot at 0x1da5320>
stdout: None
errno: 2
stdin: 0
argv: ['--mkinitrd', '--depmod', '--install', '2.6.23.1-42.fc8']
searchPath: 1
errstr: Error running /sbin/new-kernel-pkg: No such file or directory
stderr: None
msg: No such file or directory
command: /sbin/new-kernel-pkg
root: /mnt/sysimage


Anaconda instance, containing members:
rootPath: /mnt/sysimage
rescue_mount: True
intf: InstallInterface instance, containing members:
  intf.ppw: InstallProgressWindow instance, containing members:
    intf.ppw.pixmaps: [progress_first.png]
    intf.ppw.intf: Already dumped
    intf.ppw.adbox: <gtk.EventBox object at 0x1c59640 (GtkEventBox at 0x1ae6640)>
    intf.ppw._updateChange: 0.01
    intf.ppw.adpix: <gtk.Image object at 0x1c595f0 (GtkImage at 0x1935ae0)>
    intf.ppw._showPercentage: False
    intf.ppw.infolabel: <WrappingLabel object at 0x1c596e0 (GtkLabel at 0x164f850)>
    intf.ppw.ics: InstallControlState instance, containing members:
      intf.ppw.ics.prevEnabled: False
      intf.ppw.ics.cw: InstallControlWindow instance, containing members:
        intf.ppw.ics.cw.handle: 5375
        intf.ppw.ics.cw.mainxml: <glade.XML object at 0x1481f00 (PyGladeXML at
0x1636210)>
        intf.ppw.ics.cw.reloadRcQueued: 0
        intf.ppw.ics.cw.currentWindow: Already dumped
        intf.ppw.ics.cw.window: <gtk.Window object at 0x1481f50 (GtkWindow at
0x16272c0)>
        intf.ppw.ics.cw.installFrame: <gtk.Frame object at 0x1481e60 (GtkFrame
at 0x1633aa0)>
        intf.ppw.ics.cw.anaconda: Already dumped
        intf.ppw.ics.cw.rnv: ReleaseNotesViewer instance, containing members:
          intf.ppw.ics.cw.rnv.textWin: <gtk.Window object at 0x1481dc0
(GtkWindow at 0x16270a0)>
          intf.ppw.ics.cw.rnv.vue: <gtkhtml2.View object at 0x1481c30 (HtmlView
at 0x15ef010)>
          intf.ppw.ics.cw.rnv.currentURI: None
          intf.ppw.ics.cw.rnv.topDir: None
          intf.ppw.ics.cw.rnv.doc: <gtkhtml2.Document object at 0x1481c80
(HtmlDocument at 0x15ded80)>
          intf.ppw.ics.cw.rnv.height: 600
          intf.ppw.ics.cw.rnv.width: 800
          intf.ppw.ics.cw.rnv.opener: FancyURLopener instance, containing members:
            intf.ppw.ics.cw.rnv.opener._URLopener__unlink: <built-in function
unlink>
            intf.ppw.ics.cw.rnv.opener._URLopener__tempfiles: []
            intf.ppw.ics.cw.rnv.opener.cert_file: None
            intf.ppw.ics.cw.rnv.opener.addheaders: [('User-Agent',
'Python-urllib/1.17')]
            intf.ppw.ics.cw.rnv.opener.tries: 0
            intf.ppw.ics.cw.rnv.opener.ftpcache: {}
            intf.ppw.ics.cw.rnv.opener.tempcache: None
            intf.ppw.ics.cw.rnv.opener.auth_cache: {}
            intf.ppw.ics.cw.rnv.opener.key_file: None
            intf.ppw.ics.cw.rnv.opener.proxies: {}
            intf.ppw.ics.cw.rnv.opener.maxtries: 10
          intf.ppw.ics.cw.rnv.anaconda: Already dumped
          intf.ppw.ics.cw.rnv.htmlheader: <html><head><meta
http-equiv="Content-Type" content="text/html; charset=utf-8"></head><body
bgcolor="white"><pre>
          intf.ppw.ics.cw.rnv.htmlfooter: </pre></body></html>
          intf.ppw.ics.cw.rnv.is_showing: False
      intf.ppw.ics.nextEnabled: False
      intf.ppw.ics.grabNext: True
      intf.ppw.ics.title: Installing Packages
    intf.ppw.progress: <gtk.ProgressBar object at 0x1c59690 (GtkProgressBar at
0x1936a40)>
  intf.icw: Already dumped
  intf.runres: 800x600
  intf.anaconda: Already dumped
rescue: False
updateSrc: None
methodstr: livecd:///dev/live-osimg
dispatch: <dispatch.Dispatcher object at 0x1540890>
method: LiveCDImageMethod instance, containing members:
  method.intf: Already dumped
  method.tree: None
  method.rootPath: /mnt/sysimage
  method.osimg: //dev/live-osimg
isKickstart: False
id: InstallData instance, containing members:
  id.firewall: Firewall instance, containing members:
    id.firewall.portlist: [22:tcp]
    id.firewall.trustdevs: []
    id.firewall.enabled: 1
  id.anaconda: Already dumped
  id.instProgress: None
  id.upgradeRoot: None
  id.xsetup: XSetup instance, containing members:
    id.xsetup.skipx: 0
    id.xsetup.xserver: XServer instance, containing members:
      id.xsetup.xserver.videohw: primary: 0
vidCards: [<rhpxl.videocard.VideoCard instance at 0x11ef320>,
<rhpxl.videocard.VideoCard instance at 0x11ef2d8>]
Primary Video Card Info:
device: None
driver : intel
descr : Intel Corporation Mobile 945GM/GMS, 943/940GML Express Integrated
Graphics Controller
vidRam: None

      id.xsetup.xserver.serverflags: [vt6, -config, /tmp/XConfig.test,
-extension, Composite, -s, 1440, -dpms, -v, -ac, -nolisten, tcp]
      id.xsetup.xserver.resolution: 800x600
      id.xsetup.xserver.root: /
      id.xsetup.xserver.hwstate: XF86HardwareState instance, containing members:
        id.xsetup.xserver.hwstate.videocard_PCIFn: None
        id.xsetup.xserver.hwstate.monitor: monName: None
monID: Unprobed Monitor
monHoriz: None
monVert: None
physicalWidth: 0
physicalHeight: 0

        id.xsetup.xserver.hwstate.config_resolutions: []
        id.xsetup.xserver.hwstate.videocard_name: Intel Corporation Mobile
945GM/GMS, 943/940GML Express Integrated Graphics Controller
        id.xsetup.xserver.hwstate.monitor_name: Unknown monitor
        id.xsetup.xserver.hwstate.video_ram: 0
        id.xsetup.xserver.hwstate.videocard: Already dumped
        id.xsetup.xserver.hwstate.videocard_driver: intel
        id.xsetup.xserver.hwstate.videocard_options: []
        id.xsetup.xserver.hwstate.all_resolutions: [640x480, 800x480, 800x512,
800x600, 848x480, 854x480, 1024x600, 1024x768, 1152x768, 1152x864, 1200x900,
1280x720, 1280x800, 1280x854, 1280x960, 1280x1024, 1360x768, 1400x900,
1400x1050, 1440x900, 1600x1024, 1600x1200, 1680x1050, 1920x1080, 1920x1200,
1920x1440, 2048x1536, 2560x1600]
        id.xsetup.xserver.hwstate.hsync: 31.5-37.9
        id.xsetup.xserver.hwstate.vsync: 50-70
        id.xsetup.xserver.hwstate.probed_video_ram: 0
        id.xsetup.xserver.hwstate.videocard_PCIBus: None
        id.xsetup.xserver.hwstate.colordepth: 24
        id.xsetup.xserver.hwstate.videocard_PCIDev: None
        id.xsetup.xserver.hwstate.resolution: 800x600
        id.xsetup.xserver.hwstate.dri_enabled: 0
        id.xsetup.xserver.hwstate.xconfig: None
      id.xsetup.xserver.monitorhw: Already dumped
      id.xsetup.xserver.keyboard: Keyboard instance, containing members:
        id.xsetup.xserver.keyboard.info: {'KEYBOARDTYPE': pc, 'KEYTABLE': uk}
        id.xsetup.xserver.keyboard.type: PC
        id.xsetup.xserver.keyboard.beenset: 1
        id.xsetup.xserver.keyboard._mods: KeyboardModels instance, containing
members:
      id.xsetup.xserver.mousehw: FULLNAME="Generic - 3 Button Mouse (PS/2)"
MOUSETYPE="imps2"
XEMU3="no"
XMOUSETYPE="IMPS/2"

      id.xsetup.xserver.defaultdepth: 24
      id.xsetup.xserver.logfile: /dev/null
      id.xsetup.xserver.config: None
      id.xsetup.xserver.display: :9
    id.xsetup.anaconda: Already dumped
  id.keyboard: Already dumped
  id.timezone: Timezone instance, containing members:
    id.timezone.utc: True
    id.timezone.arc: 0
    id.timezone.tz: Europe/London
  id.mouse: Already dumped
  id.zfcp: ZFCP instance, containing members:
    id.zfcp.hasReadConfig: True
    id.zfcp.fcpdevs: []
  id.upgrade: None
  id.monitor: Already dumped
  id.iscsi: <iscsi.iscsi object at 0x1549a50>
  id.methodstr: livecd:///dev/live-osimg
  id.fsset: FileSystemSet instance, containing members:
    id.fsset.messageWindow: <bound method InstallInterface.messageWindow of
<gui.InstallInterface instance at 0x14839e0>>
    id.fsset.volumesCreated: 1
    id.fsset.progressWindow: <bound method InstallInterface.progressWindow of
<gui.InstallInterface instance at 0x14839e0>>
    id.fsset.migratedfs: 1
    id.fsset.waitWindow: <bound method InstallInterface.waitWindow of
<gui.InstallInterface instance at 0x14839e0>>
    id.fsset.entries: [fsentry -- device: sda2   mountpoint: /
  fsystem: ext3 format: True
  ismounted: 1  options: 'defaults'
  bytesPerInode: 4096 label: /1

, fsentry -- device: sda4   mountpoint: /home
  fsystem: ext3 format: 0
  ismounted: 1  options: 'defaults'
  bytesPerInode: 4096 label: /home

, fsentry -- device: sda1   mountpoint: /boot
  fsystem: ext3 format: True
  ismounted: 1  options: 'defaults'
  bytesPerInode: 4096 label: /boot1

, fsentry -- device: shm   mountpoint: /dev/shm
  fsystem: tmpfs format: 0
  ismounted: 0  options: 'defaults'
  bytesPerInode: 4096 label: None

, fsentry -- device: devpts   mountpoint: /dev/pts
  fsystem: devpts format: 0
  ismounted: 0  options: 'gid=5,mode=620'
  bytesPerInode: 4096 label: None

, fsentry -- device: sys   mountpoint: /sys
  fsystem: sysfs format: 0
  ismounted: 1  options: 'defaults'
  bytesPerInode: 4096 label: None

, fsentry -- device: proc   mountpoint: /proc
  fsystem: proc format: 0
  ismounted: 1  options: 'defaults'
  bytesPerInode: 4096 label: None

, fsentry -- device: sda3   mountpoint: swap
  fsystem: swap format: True
  ismounted: 1  options: 'defaults'
  bytesPerInode: 4096 label: SWAP-sda3

]
    id.fsset.mountcount: 10
  id.desktop: Desktop instance, containing members:
    id.desktop.info: {}
    id.desktop.runlevel: 5
  id.rootParts: None
  id.x_already_set: 1
  id.backend: LiveCDCopyBackend instance, containing members:
    id.backend.modeText: 
    id.backend.instPath: /mnt/sysimage
    id.backend.supportsPackageSelection: False
    id.backend.skipFormatRoot: True
    id.backend.instLog: None
    id.backend.supportsUpgrades: False
    id.backend.method: Already dumped
  id.firstboot: 0
  id.diskset: DiskSet instance, containing members:
    id.diskset.initializedDisks: {'sda': True}
    id.diskset.disks: {'sda': <PedDisk object at 0x2aaaaab208f0>}
    id.diskset.anaconda: Already dumped
    id.diskset.onlyPrimary: None
  id.users: None
  id.displayMode: g
  id.auth: --enableshadow --enablemd5
  id.ksdata: None
  id.bootloader: x86BootloaderInfo instance, containing members:
    id.bootloader.doUpgradeOnly: 0
    id.bootloader.above1024: 1
    id.bootloader.defaultDevice: mbr
    id.bootloader.pure: None
    id.bootloader.serialDevice: None
    id.bootloader.args: KernelArguments instance, containing members:
      id.bootloader.args.args: rhgb quiet
    id.bootloader.kernelLocation: /boot/
    id.bootloader.device: sda
    id.bootloader.configfile: /etc/lilo.conf
    id.bootloader.kickstart: 0
    id.bootloader.serialOptions: None
    id.bootloader.useGrubVal: 1
    id.bootloader._drivelist: [sda]
    id.bootloader.images: BootImages instance, containing members:
      id.bootloader.images.default: sda2
      id.bootloader.images.images: {'sda2': ('linux', 'Fedora', 'ext3')}
    id.bootloader.serial: 0
    id.bootloader.password: None
    id.bootloader.forceLBA32: 0
  id.extraModules: []
  id.network: Network instance, containing members:
    id.network.hostname: localhost.localdomain
    id.network.overrideDHCPhostname: 0
    id.network.netdevices: {'wlan0': DEVICE=wlan0
BOOTPROTO=dhcp
HWADDR=00:19:D2:6C:9A:F4
ONBOOT=yes

, 'eth0': DEVICE=eth0
BOOTPROTO=dhcp
HWADDR=00:18:8B:B4:F4:01
ONBOOT=no

}
    id.network.primaryNS: None
    id.network.firstnetdevice: wlan0
    id.network.isConfigured: 0
    id.network.domains: []
    id.network.secondaryNS: None
    id.network.gateway: None
  id.instClass: <installclass.DefaultInstall object at 0xd32b50>
  id.floppyDevice: fd0
  id.partitions: Partitions instance, containing members:
    id.partitions.useFdisk: 0
    id.partitions.useAutopartitioning: 1
    id.partitions.autoClearPartType: 0
    id.partitions.nextUniqueID: 10
    id.partitions.reinitializeDisks: 0
    id.partitions.autoClearPartDrives: []
    id.partitions.zeroMbr: 0
    id.partitions.isKickstart: 0
    id.partitions.requests: [NewPartitionSpec instance, containing members:
      currentDrive: sda
      format: True
      migrate: None
      origfstype: None
      primary: None
      fsopts: None
      preexist: 0
      fslabel: None
      uniqueID: 5
      device: sda1
      mountpoint: /boot
      requestSize: 250
      grow: None
      size: 250
      end: None
      bytesPerInode: 4096
      drive: []
      dev: PartitionDevice instance, containing members:
        dev.device: sda1
        dev.isSetup: 0
        dev.doLabel: 1
        dev.deviceOptions: 
        dev.label: None
      maxSizeMB: None
      start: None
      protected: 0
      multidrive: None
      ignoreBootConstraints: 0
      type: 2
      fstype: ext3FileSystem instance, containing members:
        fstype.partedPartitionFlags: []
        fstype.checked: 1
        fstype.name: ext3
        fstype.migratetofs: None
        fstype.deviceArguments: {}
        fstype.linuxnativefs: 1
        fstype.maxSizeMB: 8388608
        fstype.supported: -1
        fstype.defaultOptions: defaults
        fstype.packages: [e2fsprogs]
        fstype.extraFormatArgs: [-j]
        fstype.formattable: 1
        fstype.partedFileSystemType: <PedFileSystemType object at 0xab9710>
        fstype.maxLabelChars: 16
, PreexistingPartitionSpec instance, containing members:
      currentDrive: None
      format: False
      migrate: 0
      origfstype: Already dumped
      primary: None
      fsopts: None
      preexist: 1
      fslabel: /home
      uniqueID: 4
      device: sda4
      mountpoint: /home
      requestSize: 57066.8334961
      grow: 0
      size: 57066.8334961
      end: 156296384
      bytesPerInode: 4096
      drive: sda
      dev: PartitionDevice instance, containing members:
        dev.device: sda4
        dev.isSetup: 0
        dev.doLabel: 1
        dev.deviceOptions: 
        dev.label: None
      maxSizeMB: None
      start: 39423510
      protected: 0
      multidrive: None
      ignoreBootConstraints: 0
      type: 1
      fstype: Already dumped
, NewPartitionSpec instance, containing members:
      currentDrive: sda
      format: True
      migrate: None
      origfstype: None
      primary: True
      fsopts: None
      preexist: 0
      fslabel: None
      uniqueID: 6
      device: sda2
      mountpoint: /
      requestSize: 14999
      grow: None
      size: 14999
      end: None
      bytesPerInode: 4096
      drive: []
      dev: PartitionDevice instance, containing members:
        dev.device: sda2
        dev.isSetup: 0
        dev.doLabel: 1
        dev.deviceOptions: 
        dev.label: None
      maxSizeMB: None
      start: None
      protected: 0
      multidrive: None
      ignoreBootConstraints: 0
      type: 2
      fstype: Already dumped
, NewPartitionSpec instance, containing members:
      currentDrive: sda
      format: True
      migrate: None
      origfstype: None
      primary: True
      fsopts: None
      preexist: 0
      dev: PartitionDevice instance, containing members:
        dev.device: sda3
        dev.isSetup: 0
        dev.doLabel: 1
        dev.deviceOptions: 
        dev.label: None
      uniqueID: 7
      device: sda3
      mountpoint: None
      requestSize: 4000
      grow: None
      size: 4000
      end: None
      bytesPerInode: 4096
      drive: []
      fslabel: None
      maxSizeMB: None
      start: None
      protected: 0
      multidrive: None
      ignoreBootConstraints: 0
      type: 2
      fstype: swapFileSystem instance, containing members:
        fstype.partedPartitionFlags: []
        fstype.checked: 0
        fstype.name: swap
        fstype.migratetofs: None
        fstype.deviceArguments: {}
        fstype.linuxnativefs: 1
        fstype.maxSizeMB: 8388608
        fstype.supported: 1
        fstype.defaultOptions: defaults
        fstype.packages: []
        fstype.extraFormatArgs: []
        fstype.formattable: 1
        fstype.partedFileSystemType: <PedFileSystemType object at 0xabcc60>
        fstype.maxLabelChars: 15
]
    id.partitions.autoPartitionRequests: [New Part Request -- mountpoint: None
uniqueID: None
  type: physical volume (LVM)  format: 1 
  device: None drive: None  primary: None
  size: 0  grow: 1  maxsize: None
  start: None  end: None  migrate: None    fslabel: None  origfstype: None
  bytesPerInode: 4096  options: 'None'
, VG Request -- name: lvm  uniqueID: None
  format: 1 pesize: 32768  
  physvols: []
, LV Request -- mountpoint: /  uniqueID: None
  type: ext3  format: 1
  size: 1024  lvname: LogVol00  volgroup: lvm
  bytesPerInode: 4096  options: 'None'
, New Part Request -- mountpoint: /boot uniqueID: None
  type: ext3  format: 1 
  device: None drive: None  primary: None
  size: 200  grow: 0  maxsize: None
  start: None  end: None  migrate: None    fslabel: None  origfstype: None
  bytesPerInode: 4096  options: 'None'
, LV Request -- mountpoint: None  uniqueID: None
  type: swap  format: 1
  size: 1000  lvname: LogVol01  volgroup: lvm
  bytesPerInode: 4096  options: 'None'
]
    id.partitions.deletes: [drive: sda  start: 31230360  end: 39423509
, drive: sda  start: 514080  end: 31230359
, drive: sda  start: 63  end: 514079
]
  id.isHeadless: 0
  id.videocard: Already dumped
  id.instLanguage: Language instance, containing members:
    id.instLanguage.targetLang: None
    id.instLanguage.default: en_US.UTF-8
    id.instLanguage.displayMode: g
    id.instLanguage.current: en_US.UTF-8
  id.security: Security instance, containing members:
    id.security.selinux: 1
  id.upgradeSwapInfo: None
dir: 1
backend: Already dumped


/tmp/anaconda.log:
17:00:27 INFO    : using only installclass _Fedora
17:00:27 INFO    : anaconda called with cmdline = ['/usr/sbin/anaconda',
'--method=livecd:///dev/live-osimg', '--lang', 'en_US.UTF-8']
17:00:27 INFO    : Display mode = g
17:00:27 INFO    : Method = livecd:///dev/live-osimg
17:00:27 WARNING : no floppy devices found but we'll try fd0 anyway
17:00:30 INFO    : Starting graphical installation...
17:00:30 INFO    : sdb looks to be the live device; ignoring
17:00:30 INFO    : Detected 2016M of memory
17:00:30 INFO    : Swap attempt of 1000M to 2000M
17:00:30 WARNING : step installtype does not exist
17:00:30 WARNING : step complete does not exist
17:00:30 INFO    : moving (1) to step welcome
17:00:34 INFO    : moving (1) to step keyboard
17:00:41 INFO    : moving (1) to step partitionobjinit
17:00:41 INFO    : no /tmp/fcpconfig; not configuring zfcp
17:00:41 DEBUG   : starting mpaths
17:00:41 INFO    : sdb looks to be the live device; ignoring
17:00:41 DEBUG   : self.driveList(): ['sda']
17:00:41 DEBUG   : DiskSet.skippedDisks: []
17:00:41 DEBUG   : DiskSet.skippedDisks: []
17:00:41 DEBUG   : starting all mpaths on drives ['sda']
17:00:41 DEBUG   : scanning for multipath on drives ['sda']
17:00:41 WARNING : /usr/lib/anaconda/dmraid.py:247: UserWarning: device node
created in /tmp
  isys.makeDevInode(d, dp)

17:00:41 DEBUG   : loading bdevid modules from:
'/tmp/updates/bdevid/:/mnt/source/RHupdates/bdevid/:/lib64/bdevid/:/usr/lib64/bdevid/'
17:00:41 DEBUG   : mpaths: []
17:00:41 DEBUG   : done starting mpaths.  Drivelist: ['sda']
17:00:41 DEBUG   : starting dmraids
17:00:41 DEBUG   : self.driveList(): ['sda']
17:00:41 DEBUG   : DiskSet.skippedDisks: []
17:00:41 DEBUG   : DiskSet.skippedDisks: []
17:00:41 DEBUG   : starting all dmraids on drives ['sda']
17:00:41 DEBUG   : scanning for dmraid on drives ['sda']
17:00:41 WARNING : /usr/lib/anaconda/dmraid.py:129: UserWarning: device node
created in /tmp
  isys.makeDevInode(d, dp)

17:00:41 DEBUG   : done starting dmraids.  Drivelist: ['sda']
17:00:41 DEBUG   : adding drive sda to disk list
17:00:41 WARNING : /usr/lib/anaconda/isys.py:873: UserWarning: device node
created in /tmp
  makeDevInode(device, "/tmp/disk")

17:00:41 WARNING : /usr/lib/anaconda/isys.py:864: UserWarning: device node
created in /tmp
  makeDevInode(device, "/tmp/disk")

17:00:41 WARNING : /usr/lib/anaconda/raid.py:68: UserWarning: device node
created in /tmp
  isys.makeDevInode(d, "/tmp/" + d)

17:00:42 INFO    : sdb1 is a protected partition
17:00:42 INFO    : no request, probably a removable drive
17:00:42 INFO    : moving (1) to step parttype
17:01:10 INFO    : moving (1) to step partition
17:01:35 DEBUG   : adding drive sda to disk list
17:01:43 DEBUG   : adding drive sda to disk list
17:01:50 DEBUG   : adding drive sda to disk list
17:02:15 DEBUG   : adding drive sda to disk list
17:03:07 DEBUG   : adding drive sda to disk list
17:03:40 DEBUG   : adding drive sda to disk list
17:04:14 DEBUG   : adding drive sda to disk list
17:04:27 DEBUG   : adding drive sda to disk list
17:04:50 DEBUG   : adding drive sda to disk list
17:05:01 DEBUG   : adding drive sda to disk list
17:05:14 DEBUG   : adding drive sda to disk list
17:05:39 DEBUG   : adding drive sda to disk list
17:05:57 INFO    : moving (1) to step partitiondone
17:05:57 INFO    : moving (1) to step bootloadersetup
17:05:57 INFO    : moving (1) to step bootloader
17:06:01 INFO    : moving (1) to step networkdevicecheck
17:06:01 INFO    : moving (1) to step network
17:06:09 INFO    : moving (1) to step timezone
17:06:24 INFO    : moving (1) to step accounts
17:06:39 INFO    : moving (1) to step reposetup
17:06:39 INFO    : moving (1) to step basepkgsel
17:06:39 INFO    : moving (1) to step postselection
17:06:39 INFO    : moving (1) to step confirminstall
17:06:45 INFO    : moving (1) to step install
17:06:45 INFO    : moving (1) to step enablefilesystems
17:06:45 INFO    : disk.commit() for /dev/sda
17:06:46 DEBUG   : adding drive sda to disk list
17:06:46 INFO    : formatting swap as swap
17:06:46 WARNING : /usr/lib/anaconda/fsset.py:2223: UserWarning: device node
created in /tmp
  isys.makeDevInode(self.getDevice(), path)

17:06:46 DEBUG   : adding drive sda to disk list
17:06:46 INFO    : formatting /boot as ext3
17:06:46 INFO    : Format command:  ['mke2fs', '/tmp/sda1', '-i', '4096', '-j']

17:06:47 INFO    : trying to mount /tmp/sda4 on /home
17:06:47 INFO    : set SELinux context for mountpoint /home to False
17:06:47 DEBUG   : isys.py:mount()- going to mount /tmp/sda4 on /mnt/sysimage/home
17:06:47 INFO    : set SELinux context for newly mounted filesystem root at
/home to False
17:06:47 INFO    : trying to mount /tmp/sda1 on /boot
17:06:47 INFO    : set SELinux context for mountpoint /boot to False
17:06:47 DEBUG   : isys.py:mount()- going to mount /tmp/sda1 on /mnt/sysimage/boot
17:06:47 INFO    : set SELinux context for newly mounted filesystem root at
/boot to False
17:06:47 INFO    : trying to mount sys on /sys
17:06:47 INFO    : set SELinux context for mountpoint /sys to False
17:06:47 WARNING : /usr/lib/anaconda/isys.py:319: UserWarning: device node
created in /tmp
  makeDevInode (device, devName)

17:06:47 DEBUG   : isys.py:mount()- going to mount sys on /mnt/sysimage/sys
17:06:47 INFO    : set SELinux context for newly mounted filesystem root at /sys
to False
17:06:47 INFO    : trying to mount proc on /proc
17:06:47 INFO    : set SELinux context for mountpoint /proc to False
17:06:47 DEBUG   : isys.py:mount()- going to mount proc on /mnt/sysimage/proc
17:06:47 INFO    : set SELinux context for newly mounted filesystem root at
/proc to False
17:06:47 INFO    : moving (1) to step migratefilesystems
17:06:47 INFO    : moving (1) to step setuptime
17:06:49 INFO    : moving (1) to step preinstallconfig
17:06:49 INFO    : moving (1) to step installpackages
17:06:49 INFO    : Preparing to install packages
17:08:24 INFO    : moving (1) to step postinstallconfig
17:08:24 INFO    : doing post-install fs mangling
17:08:24 INFO    : going to do resize
17:08:27 ERROR   : error running resize2fs; leaving filesystem as is
17:08:27 INFO    : trying to mount /tmp/sda2 on /
17:08:27 INFO    : set SELinux context for mountpoint / to False
17:08:27 DEBUG   : isys.py:mount()- going to mount /tmp/sda2 on /mnt/sysimage
17:08:27 INFO    : set SELinux context for newly mounted filesystem root at / to
False
17:08:27 INFO    : trying to mount /tmp/sda4 on /home
17:08:27 INFO    : set SELinux context for mountpoint /home to False
17:08:27 DEBUG   : isys.py:mount()- going to mount /tmp/sda4 on /mnt/sysimage/home
17:08:27 INFO    : set SELinux context for newly mounted filesystem root at
/home to False
17:08:27 INFO    : trying to mount /tmp/sda1 on /boot
17:08:27 INFO    : set SELinux context for mountpoint /boot to False
17:08:27 DEBUG   : isys.py:mount()- going to mount /tmp/sda1 on /mnt/sysimage/boot
17:08:27 INFO    : set SELinux context for newly mounted filesystem root at
/boot to False
17:08:27 INFO    : trying to mount sys on /sys
17:08:27 INFO    : set SELinux context for mountpoint /sys to False
17:08:27 DEBUG   : isys.py:mount()- going to mount sys on /mnt/sysimage/sys
17:08:27 INFO    : set SELinux context for newly mounted filesystem root at /sys
to False
17:08:27 INFO    : trying to mount proc on /proc
17:08:27 INFO    : set SELinux context for mountpoint /proc to False
17:08:27 DEBUG   : isys.py:mount()- going to mount proc on /mnt/sysimage/proc
17:08:27 INFO    : set SELinux context for newly mounted filesystem root at
/proc to False
17:08:29 INFO    : set SELinux context for mountpoint /boot to False
17:08:29 DEBUG   : isys.py:mount()- going to mount /tmp/sda1 on
/mnt/sysimage/mnt/boot
17:08:29 INFO    : set SELinux context for newly mounted filesystem root at
/boot to False
17:08:30 INFO    : set SELinux context for mountpoint /boot to False
17:08:30 DEBUG   : isys.py:mount()- going to mount /tmp/sda1 on /mnt/sysimage/boot
17:08:30 INFO    : set SELinux context for newly mounted filesystem root at
/boot to False
17:08:30 INFO    : set SELinux context for mountpoint /home to False
17:08:30 DEBUG   : isys.py:mount()- going to mount /tmp/sda4 on
/mnt/sysimage/mnt/home
17:08:30 INFO    : set SELinux context for newly mounted filesystem root at
/home to False
17:08:30 INFO    : set SELinux context for mountpoint /home to False
17:08:30 DEBUG   : isys.py:mount()- going to mount /tmp/sda4 on /mnt/sysimage/home
17:08:30 INFO    : set SELinux context for newly mounted filesystem root at
/home to False
17:08:30 DEBUG   : isys.py:mount()- going to mount /selinux on /mnt/sysimage/selinux
17:08:30 DEBUG   : isys.py:mount()- going to mount /dev on /mnt/sysimage/dev
17:08:30 INFO    : recreating initrd for 2.6.23.1-42.fc8
17:08:30 ERROR   : Error running /sbin/new-kernel-pkg: No such file or directory


/tmp/lvmout:
    Finding all volume groups
  No volume groups found
Comment 2 Jonathan Underwood 2007-11-04 13:15:52 EST
ps. Apologies for the unecessary bitching about cut and paste - I realize my
tone was unecessarily harsh.
Comment 3 Jonathan Underwood 2007-11-04 13:28:21 EST
Additionally, while running from the RC3 live image, if I do a yum update to
pull in an updated anaconda (anaconda-11.3.0.50-2) I don't even get to the point
which triggered the above error, but rather at the point of trying to format
partitions I get a dialogue box saying "An error occurred trying to format sda1.
 This problem is serious, and the install cannot continue." No more detail than
that, I am afraid.

Comment 4 Jonathan Underwood 2007-11-04 13:39:13 EST
Some additional commentary about what I was doing (or trying to do). This is a
machine which had an F-7 installation. It has the single hard disk split into 4
primary partitions, with one of them being used for the /home mount point. On
installation of the F8 image, I was deleting 3 of the partitions and recreating
them (sda1, sda2, sda3) for the /boot, / and swap partitions respectively, and
leaving mounting sda4 (unformatted) at /home. Not sure if this detail is
relevant, but what may be relevant is that I wasn't allowing anaconda to create
a standard partition layout, but rather was using a custom disk partition layout.
Comment 5 Jonathan Underwood 2007-11-04 14:13:45 EST
Hm. Bizarrely, I rebooted the computer into the F8 RC3 live image, and re-tried
the installation exactly as before, and this time it has succeeded. Some sort of
race condition then, perhaps.
Comment 6 Jeremy Katz 2007-11-05 10:52:24 EST
The only way this could happen is if the file isn't there or if there were a
disc error.  It's conceivable that there was an error while copying over the
filesystem I guess.  I'm not really sure what we can do for spurious cases like
that... maybe we need to add a checksum of the filesystem and verify it after
copying :-/
Comment 7 Jonathan Underwood 2007-11-05 15:05:43 EST
(In reply to comment #6)
> The only way this could happen is if the file isn't there or if there were a
> disc error.  

or perhaps if it was labelled wrongly (SElinux)

> It's conceivable that there was an error while copying over the
> filesystem I guess.  I'm not really sure what we can do for spurious cases like
> that... maybe we need to add a checksum of the filesystem and verify it after
> copying :-/

Probably  would be a nice touch... perhaps a checkbox "verify installed image
(may take many minutes)". If I see a failure like this again, I'll dig a bit more.
Comment 8 Bug Zapper 2008-11-26 03:11:44 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Jonathan Underwood 2008-11-26 06:29:42 EST
Never seen again during F-8 or F-9 lifetime, closing NEXTRELEASE

Note You need to log in before you can comment on or make changes to this bug.